"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
const core_1 = require('@angular/core');
let ModalComponent = class ModalComponent {
    constructor() {
        this.css = "";
        this.headerCss = "";
        this.visible = false;
        this.closeEvent = new core_1.EventEmitter();
        this.openEvent = new core_1.EventEmitter();
    }
    open() {
        this.openEvent.emit(true);
        this.css = "modal-show";
        this.visible = true;
    }
    close() {
        this.css = "";
        this.closeEvent.emit(true);
        this.visible = false;
    }
    renderHeader() {
        return this.type;
    }
};
__decorate([
    core_1.Input(), 
    __metadata('design:type', String)
], ModalComponent.prototype, "class", void 0);
__decorate([
    core_1.Input(), 
    __metadata('design:type', String)
], ModalComponent.prototype, "type", void 0);
__decorate([
    core_1.Output(), 
    __metadata('design:type', core_1.EventEmitter)
], ModalComponent.prototype, "closeEvent", void 0);
__decorate([
    core_1.Output(), 
    __metadata('design:type', core_1.EventEmitter)
], ModalComponent.prototype, "openEvent", void 0);
ModalComponent = __decorate([
    core_1.Component({
        moduleId: module.id,
        selector: 'mm-modal',
        styleUrls: ['modal.component.css'],
        templateUrl: 'modal.component.html',
        providers: [],
        encapsulation: core_1.ViewEncapsulation.Native
    }), 
    __metadata('design:paramtypes', [])
], ModalComponent);
exports.ModalComponent = ModalComponent;
//# sourceMappingURL=modal.component.js.map