import { Component,ViewEncapsulation,Output,EventEmitter,OnInit,Input } from '@angular/core';

@Component({
    moduleId: module.id,
    selector: 'mm-modal',
    styleUrls : ['modal.component.css'],
    templateUrl: 'modal.component.html',
    providers: [],
    encapsulation: ViewEncapsulation.Native
})

export class ModalComponent  {

    public css:string = "";
    public headerCss = "";
    public visible:boolean=false;

    @Input() class:string;
    @Input() type:string;
    @Output() closeEvent:EventEmitter<any> = new EventEmitter<any>();
    @Output() openEvent:EventEmitter<any> = new EventEmitter<any>();

    constructor(){

    }

    open(){
        this.openEvent.emit(true);
        this.css = "modal-show";
        this.visible = true;
    }

    close(){
        this.css = "";
        this.closeEvent.emit(true);
        this.visible = false;
    }

    renderHeader(){
        return this.type;
    }

    
    

}



